"""
cssutils setup

install with
    >python setup.py install
"""
__docformat__ = 'restructuredtext'
__version__ = '0.8a6'


import sys

major, minor = sys.version_info[:2]
if not (major >= 2 and minor >= 3):
    print
    sys.exit('cssutils needs at least Python 2.3')


from distutils.core import setup

_long = '''A Python package to parse and build CSS Cascading Style Sheets.
Partly implements the DOM Level 2 Stylesheets and CSS interfaces.
'''
setup(
      author='Christof Hoeke',
      author_email='c@cthedot.de',
      description='A CSS Cascading Style Sheets library for Python',
      long_description=_long,
      keywords='CSS, Cascading Style Sheets, CSSParser, DOM Level 2 Stylesheets, DOM Level 2 CSS',
      license='http://cthedot.de/cssutils/license.html',
      name='cssutils',
      url='http://cthedot.de/cssutils/',
      version=__version__,
      packages=['cssutils', 'cssutils.css', 'cssutils.stylesheets'],
      scripts=['cssutils/csscapture.py', 'cssutils/cssparser.py'], 
      data_files=[
          ('', ['LICENSE.txt']),
          ('examples', ['examples/selectors_tolower.py',
                        'examples/example_build.py',
                        'examples/example_parse.py'])
          ]
      )